| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DataSelectionAgent Class Reference

`#include <GaudiKernel/DataSelectionAgent.h>`

Inheritance diagram for DataSelectionAgent:

[legend]
Collaboration diagram for DataSelectionAgent:

[legend]
List of all members.

## Detailed Description

DataSelectionAgent base in charge of collecting all the refereces to DataObjects in a transient store that passes some selection criteria.

The default behaviour is to collect all entries.

Author:
  Markus Frank

Definition at line 17 of file DataSelectionAgent.h.

## Public Member Functions
| DataSelectionAgent ()
| Default creator.
virtual | ~DataSelectionAgent ()
| Destructor.
IDataSelector * | selectedObjects ()
| Return the set of selected DataObjects.
virtual bool | analyse (IRegistry *pRegistry, int)
| Analyses a given directory entry.
## Protected Attributes
IDataSelector | m_objects

## Constructor & Destructor Documentation

DataSelectionAgent::DataSelectionAgent | ( |  | ) | `[inline]`

Default creator.

Definition at line 22 of file DataSelectionAgent.h.

    00022                        {
    00023   }

virtual DataSelectionAgent::~DataSelectionAgent | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 25 of file DataSelectionAgent.h.

    00025                                  {
    00026   }

## Member Function Documentation

IDataSelector* DataSelectionAgent::selectedObjects | ( |  | ) | `[inline]`

Return the set of selected DataObjects.

Definition at line 28 of file DataSelectionAgent.h.

References m_objects.

Referenced by NTupleSvc::updateDirectories().

    00028                                       {
    00029     return &m_objects;
    00030   }

virtual bool DataSelectionAgent::analyse | ( | IRegistry * | pRegistry,
|  | int |  |
| ) |  |  | `[inline, virtual]`

Analyses a given directory entry.

Implements IDataStoreAgent.

Definition at line 32 of file DataSelectionAgent.h.

References m_objects, and IRegistry::object().

    00032                                                      {
    00033     DataObject* obj = pRegistry->object();
    00034     if ( 0 != obj ) m_objects.push_back(obj);
    00035     return true;
    00036   }

## Member Data Documentation

IDataSelector DataSelectionAgent::m_objects`[protected]`

Definition at line 19 of file DataSelectionAgent.h.

Referenced by analyse(), and selectedObjects().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/DataSelectionAgent.h